Create an account

Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
G80 stuff @ high rate

#1
[Posted by: Orange]

I don't know if you knew it,some g80 mage stuff got a wrong lvl limitation ( for the deco you need lvl 88 not 78 ) and g80 stick is not imp-able.

greetings HyDr0

#2
yeah its coming in the next update

#3
Storm's dont work again on the lowrate server

#4
fixed in 7.1.3

#5
[Posted by: FlashGod]

Keep up the good work! Beasty Coder



Forum Jump:


Users browsing this thread:
1 Guest(s)

Powered By MyBB, © 2002-2022 MyBB Group.